> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Officers

> Retrieve a business's officers by its UUID.



## OpenAPI

````yaml /api-reference/openapi.json get /businesses/{id}/officers
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /businesses/{id}/officers:
    get:
      tags:
        - Business
      summary: Get Business Officers
      description: Retrieve a business's officers by its UUID.
      operationId: get_business_officers_businesses__id__officers_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Business ID
            description: The unique identifier of the business to retrieve officers for.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
              - 9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5
          description: The unique identifier of the business to retrieve officers for.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.BusinessOfficerResponse'
                title: Response Get Business Officers Businesses  Id  Officers Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.BusinessOfficerResponse:
      description: Response model for business officer data.
      properties:
        name:
          description: The name of the officer.
          examples:
            - Philip Mcguire
          title: Name
          type: string
        titles:
          default: []
          description: The titles associated with the officer.
          examples:
            - - CEO
              - Founder
          items:
            type: string
          title: Titles
          type: array
        states:
          default: []
          description: The states where the officer is registered.
          examples:
            - - CA
              - NY
          items:
            $ref: '#/components/schemas/v1.StateAbbreviation'
          title: States
          type: array
        sources:
          description: The sources of the officer.
          examples:
            - - SOS
              - Online
          items:
            $ref: '#/components/schemas/v1.EntitySource'
          title: Sources
          type: array
          uniqueItems: true
      required:
        - name
      title: BusinessOfficerResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.StateAbbreviation:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - PR
        - VI
        - AE
        - AA
        - AP
        - GU
        - AS
      title: StateAbbreviation
      type: string
    v1.EntitySource:
      enum:
        - SOS
        - Online
      title: EntitySource
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````